Bug 40564 - [SNB] Intel driver freezes wheezy system on Sandybridge HD3000 chipset [semaphores=0, garbage in batch]
[SNB] Intel driver freezes wheezy system on Sandybridge HD3000 chipset [semap...
Status: RESOLVED DUPLICATE of bug 29046
Product: DRI
Classification: Unclassified
Component: DRM/Intel
unspecified
x86-64 (AMD64) Linux (All)
: high normal
Assigned To: Daniel Vetter
:
Depends on:
Blocks: 42991 44622
  Show dependency treegraph
 
Reported: 2011-09-01 12:31 UTC by Oscar
Modified: 2012-04-01 01:57 UTC (History)
11 users (show)

See Also:
i915 platform:
i915 features:


Attachments
dmesg right after boot (50.10 KB, text/plain)
2011-11-07 13:10 UTC, maurizio
no flags Details
Xorg.0.log (28.90 KB, text/plain)
2011-12-18 10:09 UTC, xorgzilla
no flags Details
Xorg.0.log with crash, dmesg with black screen (24.67 KB, application/zip)
2012-01-10 10:03 UTC, xorgzilla
no flags Details
Xorg crash (34.87 KB, text/plain)
2012-01-14 09:38 UTC, xorgzilla
no flags Details
i915_error_state (2.18 MB, text/plain)
2012-01-14 09:38 UTC, xorgzilla
no flags Details
dmesg showing GPU hangs (49.58 KB, text/plain)
2012-03-15 13:34 UTC, Peter Tworek
no flags Details
i915_error_state log (2.14 MB, application/octet-stream)
2012-03-15 13:35 UTC, Peter Tworek
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oscar 2011-09-01 12:31:41 UTC
As in title, the driver freezes my wheezy system apparently in random way,
more times when in fullscreen mode (such as xscreensaver)
but also in normal screen mode. Then i'm forced to brutally shutdown and reboot
but this
can cause hardware problem in the future so i want to stop with this procedure.
The old
stable driver version 2.13 doesn't work properly on my chipset, probably
because of incompatibility
with the new chipset. Both versions 2.15 and 2.16 (from git of
intellinuxgraphics) of the driver have the same problem.
Switching to vesa yields stability but also unusefulness of many applications
that require
hardware acceleration, so it's usable only for text processing and other low-
resource-needed
apps. Fbdev driver doesn't work for me, so that's the empass. No useful errors
are reported in
kernel or Xorg logs.



-- Package-specific info:
X server symlink status:
------------------------
lrwxrwxrwx 1 root root 13 Sep  1 11:39 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1959200 Aug 24 10:55 /usr/bin/Xorg

VGA-compatible devices on PCI bus:
----------------------------------
00:02.0 VGA compatible controller [0300]: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0126] (rev 09)

/etc/X11/xorg.conf does not exist.

Contents of /etc/X11/xorg.conf.d:
---------------------------------
total 4
-rw-r--r-- 1 root root 362 Jul 11 17:23 99-touchpad.conf

KMS configuration files:
------------------------
/etc/modprobe.d/i915-kms.conf:
  options i915 modeset=1
/etc/modprobe.d/radeon-kms.conf:
  options radeon modeset=1

Kernel version (/proc/version):
-------------------------------
Linux version 2.6.39-2-amd64 (Debian 2.6.39-3) (ben@decadent.org.uk) (gcc version 4.4.6 (Debian 4.4.6-6) ) #1 SMP Tue Jul 5 02:51:22 UTC 2011

Xorg X server log files on system:
----------------------------------
-rw-r--r-- 1 root root 31286 Sep  1 14:33 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file (/var/log/Xorg.0.log):
---------------------------------------------------------------------
[    26.418] 
X.Org X Server 1.10.4
Release Date: 2011-08-19
[    26.434] X Protocol Version 11, Revision 0
[    26.434] Build Operating System: Linux 3.0.0-1-amd64 x86_64 Debian
[    26.434] Current Operating System: Linux localhost 2.6.39-2-amd64 #1 SMP Tue Jul 5 02:51:22 UTC 2011 x86_64
[    26.434] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.39-2-amd64 root=UUID=55c397d9-efee-4dca-a41f-8252590f7bd5 ro quiet
[    26.434] Build Date: 24 August 2011  08:53:55AM
[    26.434] xorg-server 2:1.10.4-1 (Cyril Brulebois <kibi@debian.org>) 
[    26.434] Current version of pixman: 0.22.2
[    26.434] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[    26.434] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    26.435] (==) Log file: "/var/log/Xorg.0.log", Time: Thu Sep  1 13:16:55 2011
[    26.579] (==) Using config directory: "/etc/X11/xorg.conf.d"
[    26.579] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    26.624] (==) No Layout section.  Using the first Screen section.
[    26.624] (==) No screen section available. Using defaults.
[    26.624] (**) |-->Screen "Default Screen Section" (0)
[    26.624] (**) |   |-->Monitor "<default monitor>"
[    26.624] (==) No monitor specified for screen "Default Screen Section".
	Using a default monitor configuration.
[    26.624] (==) Automatically adding devices
[    26.624] (==) Automatically enabling devices
[    26.652] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[    26.652] 	Entry deleted from font path.
[    26.742] (==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
[    26.742] (==) ModulePath set to "/usr/lib/xorg/modules"
[    26.742] (II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
[    26.742] (II) Loader magic: 0x7d8500
[    26.742] (II) Module ABI versions:
[    26.742] 	X.Org ANSI C Emulation: 0.4
[    26.742] 	X.Org Video Driver: 10.0
[    26.742] 	X.Org XInput driver : 12.2
[    26.742] 	X.Org Server Extension : 5.0
[    26.743] (--) PCI:*(0:0:2:0) 8086:0126:17aa:21da rev 9, Mem @ 0xf0000000/4194304, 0xe0000000/268435456, I/O @ 0x00004000/64
[    26.744] (II) Open ACPI successful (/var/run/acpid.socket)
[    26.744] (II) LoadModule: "extmod"
[    26.837] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[    26.858] (II) Module extmod: vendor="X.Org Foundation"
[    26.858] 	compiled for 1.10.4, module version = 1.0.0
[    26.858] 	Module class: X.Org Server Extension
[    26.858] 	ABI class: X.Org Server Extension, version 5.0
[    26.858] (II) Loading extension SELinux
[    26.858] (II) Loading extension MIT-SCREEN-SAVER
[    26.858] (II) Loading extension XFree86-VidModeExtension
[    26.858] (II) Loading extension XFree86-DGA
[    26.858] (II) Loading extension DPMS
[    26.858] (II) Loading extension XVideo
[    26.858] (II) Loading extension XVideo-MotionCompensation
[    26.858] (II) Loading extension X-Resource
[    26.858] (II) LoadModule: "dbe"
[    26.858] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[    26.883] (II) Module dbe: vendor="X.Org Foundation"
[    26.883] 	compiled for 1.10.4, module version = 1.0.0
[    26.883] 	Module class: X.Org Server Extension
[    26.883] 	ABI class: X.Org Server Extension, version 5.0
[    26.883] (II) Loading extension DOUBLE-BUFFER
[    26.883] (II) LoadModule: "glx"
[    26.883] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[    26.910] (II) Module glx: vendor="X.Org Foundation"
[    26.910] 	compiled for 1.10.4, module version = 1.0.0
[    26.910] 	ABI class: X.Org Server Extension, version 5.0
[    26.910] (==) AIGLX enabled
[    26.910] (II) Loading extension GLX
[    26.910] (II) LoadModule: "record"
[    26.911] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[    26.911] (II) Module record: vendor="X.Org Foundation"
[    26.911] 	compiled for 1.10.4, module version = 1.13.0
[    26.911] 	Module class: X.Org Server Extension
[    26.911] 	ABI class: X.Org Server Extension, version 5.0
[    26.911] (II) Loading extension RECORD
[    26.911] (II) LoadModule: "dri"
[    26.912] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[    26.934] (II) Module dri: vendor="X.Org Foundation"
[    26.934] 	compiled for 1.10.4, module version = 1.0.0
[    26.934] 	ABI class: X.Org Server Extension, version 5.0
[    26.934] (II) Loading extension XFree86-DRI
[    26.934] (II) LoadModule: "dri2"
[    26.935] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[    26.935] (II) Module dri2: vendor="X.Org Foundation"
[    26.935] 	compiled for 1.10.4, module version = 1.2.0
[    26.935] 	ABI class: X.Org Server Extension, version 5.0
[    26.936] (II) Loading extension DRI2
[    26.936] (==) Matched intel as autoconfigured driver 0
[    26.936] (==) Matched vesa as autoconfigured driver 1
[    26.936] (==) Matched fbdev as autoconfigured driver 2
[    26.936] (==) Assigned the driver to the xf86ConfigLayout
[    26.936] (II) LoadModule: "intel"
[    26.936] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
[    26.958] (II) Module intel: vendor="X.Org Foundation"
[    26.958] 	compiled for 1.10.1, module version = 2.15.0
[    26.958] 	Module class: X.Org Video Driver
[    26.958] 	ABI class: X.Org Video Driver, version 10.0
[    26.958] (II) LoadModule: "vesa"
[    26.959] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[    26.981] (II) Module vesa: vendor="X.Org Foundation"
[    26.981] 	compiled for 1.10.2, module version = 2.3.0
[    26.981] 	Module class: X.Org Video Driver
[    26.981] 	ABI class: X.Org Video Driver, version 10.0
[    26.981] (II) LoadModule: "fbdev"
[    26.982] (WW) Warning, couldn't open module fbdev
[    26.982] (II) UnloadModule: "fbdev"
[    26.982] (II) Unloading fbdev
[    26.982] (EE) Failed to load module "fbdev" (module does not exist, 0)
[    26.982] (II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
	i810-dc100, i810e, i815, i830M, 845G, 854, 852GM/855GM, 865G, 915G,
	E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM, Pineview G,
	965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33, GM45,
	4 Series, G45/G43, Q45/Q43, G41, B43, B43, Clarkdale, Arrandale,
	Sandybridge, Sandybridge, Sandybridge, Sandybridge, Sandybridge,
	Sandybridge, Sandybridge
[    26.983] (II) VESA: driver for VESA chipsets: vesa
[    26.983] (++) using VT number 7

[    26.995] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
[    26.995] (WW) Falling back to old probe method for vesa
[    26.995] drmOpenDevice: node name is /dev/dri/card0
[    26.995] drmOpenDevice: open result is 9, (OK)
[    26.995] drmOpenByBusid: Searching for BusID pci:0000:00:02.0
[    26.995] drmOpenDevice: node name is /dev/dri/card0
[    26.995] drmOpenDevice: open result is 9, (OK)
[    26.995] drmOpenByBusid: drmOpenMinor returns 9
[    26.995] drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
[    26.995] (II) intel(0): Creating default Display subsection in Screen section
	"Default Screen Section" for depth/fbbpp 24/32
[    26.995] (==) intel(0): Depth 24, (--) framebuffer bpp 32
[    26.995] (==) intel(0): RGB weight 888
[    26.995] (==) intel(0): Default visual is TrueColor
[    26.995] (II) intel(0): Integrated Graphics Chipset: Intel(R) Sandybridge
[    26.995] (--) intel(0): Chipset: "Sandybridge"
[    26.995] (**) intel(0): Relaxed fencing enabled
[    26.995] (**) intel(0): Framebuffer tiled
[    26.995] (**) intel(0): Pixmaps tiled
[    26.995] (**) intel(0): 3D buffers tiled
[    26.995] (**) intel(0): SwapBuffers wait disabled
[    26.996] (==) intel(0): video overlay key set to 0x101fe
[    26.996] (II) intel(0): Output LVDS1 has no monitor section
[    26.996] (II) intel(0): found backlight control interface /sys/class/backlight/acpi_video0
[    26.996] (II) intel(0): Output VGA1 has no monitor section
[    27.636] (II) intel(0): Output HDMI1 has no monitor section
[    27.637] (II) intel(0): Output DP1 has no monitor section
[    27.660] (II) intel(0): Output HDMI2 has no monitor section
[    27.683] (II) intel(0): Output HDMI3 has no monitor section
[    27.684] (II) intel(0): Output DP2 has no monitor section
[    27.685] (II) intel(0): Output DP3 has no monitor section
[    27.685] (II) intel(0): EDID for output LVDS1
[    27.685] (II) intel(0): Manufacturer: LGD  Model: 2d3  Serial#: 0
[    27.685] (II) intel(0): Year: 2011  Week: 0
[    27.685] (II) intel(0): EDID Version: 1.3
[    27.685] (II) intel(0): Digital Display Input
[    27.685] (II) intel(0): Max Image Size [cm]: horiz.: 28  vert.: 16
[    27.685] (II) intel(0): Gamma: 2.20
[    27.685] (II) intel(0): DPMS capabilities: StandBy Suspend Off
[    27.685] (II) intel(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
[    27.685] (II) intel(0): First detailed timing is preferred mode
[    27.685] (II) intel(0): redX: 0.586 redY: 0.345   greenX: 0.340 greenY: 0.559
[    27.685] (II) intel(0): blueX: 0.158 blueY: 0.127   whiteX: 0.313 whiteY: 0.329
[    27.685] (II) intel(0): Manufacturer's mask: 0
[    27.685] (II) intel(0): Supported detailed timing:
[    27.685] (II) intel(0): clock: 74.8 MHz   Image Size:  277 x 156 mm
[    27.685] (II) intel(0): h_active: 1366  h_sync: 1414  h_sync_end 1446 h_blank_end 1578 h_border: 0
[    27.685] (II) intel(0): v_active: 768  v_sync: 770  v_sync_end 775 v_blanking: 790 v_border: 0
[    27.685] (II) intel(0):  LG Display
[    27.685] (II) intel(0):  LP125WH2-TLB1
[    27.686] (II) intel(0): EDID (in hex):
[    27.686] (II) intel(0): 	00ffffffffffff0030e4d30200000000
[    27.686] (II) intel(0): 	00150103801c1078ea10a59658578f28
[    27.686] (II) intel(0): 	20505400000001010101010101010101
[    27.686] (II) intel(0): 	010101010101381d56d4500016303020
[    27.686] (II) intel(0): 	2500159c1000001b0000000000000000
[    27.686] (II) intel(0): 	00000000000000000000000000fe004c
[    27.686] (II) intel(0): 	4720446973706c61790a2020000000fe
[    27.686] (II) intel(0): 	004c503132355748322d544c423100f7
[    27.686] (II) intel(0): EDID vendor "LGD", prod id 723
[    27.686] (II) intel(0): Printing DDC gathered Modelines:
[    27.686] (II) intel(0): Modeline "1366x768"x0.0   74.80  1366 1414 1446 1578  768 770 775 790 +hsync -vsync (47.4 kHz)
[    27.686] (II) intel(0): Not using default mode "320x240" (doublescan mode not supported)
[    27.686] (II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
[    27.686] (II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
[    27.686] (II) intel(0): Not using default mode "512x384" (doublescan mode not supported)
[    27.686] (II) intel(0): Not using default mode "640x480" (doublescan mode not supported)
[    27.686] (II) intel(0): Not using default mode "640x512" (doublescan mode not supported)
[    27.686] (II) intel(0): Not using default mode "800x600" (doublescan mode not supported)
[    27.686] (II) intel(0): Not using default mode "896x672" (doublescan mode not supported)
[    27.686] (II) intel(0): Not using default mode "928x696" (doublescan mode not supported)
[    27.686] (II) intel(0): Not using default mode "960x720" (doublescan mode not supported)
[    27.686] (II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
[    27.686] (II) intel(0): Not using default mode "680x384" (doublescan mode not supported)
[    27.686] (II) intel(0): Not using default mode "680x384" (doublescan mode not supported)
[    27.686] (II) intel(0): Not using default mode "700x525" (doublescan mode not supported)
[    27.686] (II) intel(0): Not using default mode "720x450" (doublescan mode not supported)
[    27.686] (II) intel(0): Not using default mode "800x512" (doublescan mode not supported)
[    27.686] (II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
[    27.686] (II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
[    27.686] (II) intel(0): Not using default mode "960x540" (doublescan mode not supported)
[    27.686] (II) intel(0): Not using default mode "960x600" (doublescan mode not supported)
[    27.686] (II) intel(0): Not using default mode "1024x768" (doublescan mode not supported)
[    27.687] (II) intel(0): Printing probed modes for output LVDS1
[    27.687] (II) intel(0): Modeline "1366x768"x60.0   74.80  1366 1414 1446 1578  768 770 775 790 +hsync -vsync (47.4 kHz)
[    27.687] (II) intel(0): Modeline "1360x768"x59.8   84.75  1360 1432 1568 1776  768 771 781 798 -hsync +vsync (47.7 kHz)
[    27.687] (II) intel(0): Modeline "1360x768"x60.0   72.00  1360 1408 1440 1520  768 771 781 790 +hsync -vsync (47.4 kHz)
[    27.687] (II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
[    27.687] (II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
[    27.687] (II) intel(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz)
[    27.687] (II) intel(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
[    27.687] (II) intel(0): EDID for output VGA1
[    28.324] (II) intel(0): EDID for output HDMI1
[    28.325] (II) intel(0): EDID for output DP1
[    28.348] (II) intel(0): EDID for output HDMI2
[    28.371] (II) intel(0): EDID for output HDMI3
[    28.372] (II) intel(0): EDID for output DP2
[    28.373] (II) intel(0): EDID for output DP3
[    28.373] (II) intel(0): Output LVDS1 connected
[    28.373] (II) intel(0): Output VGA1 disconnected
[    28.373] (II) intel(0): Output HDMI1 disconnected
[    28.373] (II) intel(0): Output DP1 disconnected
[    28.373] (II) intel(0): Output HDMI2 disconnected
[    28.373] (II) intel(0): Output HDMI3 disconnected
[    28.373] (II) intel(0): Output DP2 disconnected
[    28.373] (II) intel(0): Output DP3 disconnected
[    28.373] (II) intel(0): Using exact sizes for initial modes
[    28.373] (II) intel(0): Output LVDS1 using initial mode 1366x768
[    28.373] (II) intel(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
[    28.373] (II) intel(0): Kernel page flipping support detected, enabling
[    28.373] (**) intel(0): Display dimensions: (280, 160) mm
[    28.373] (**) intel(0): DPI set to (123, 121)
[    28.373] (II) Loading sub module "fb"
[    28.373] (II) LoadModule: "fb"
[    28.374] (II) Loading /usr/lib/xorg/modules/libfb.so
[    28.384] (II) Module fb: vendor="X.Org Foundation"
[    28.384] 	compiled for 1.10.4, module version = 1.0.0
[    28.384] 	ABI class: X.Org ANSI C Emulation, version 0.4
[    28.384] (II) Loading sub module "dri2"
[    28.384] (II) LoadModule: "dri2"
[    28.385] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[    28.385] (II) Module dri2: vendor="X.Org Foundation"
[    28.385] 	compiled for 1.10.4, module version = 1.2.0
[    28.385] 	ABI class: X.Org Server Extension, version 5.0
[    28.385] (II) UnloadModule: "vesa"
[    28.385] (II) Unloading vesa
[    28.385] (==) Depth 24 pixmap format is 32 bpp
[    28.385] (II) intel(0): [DRI2] Setup complete
[    28.385] (II) intel(0): [DRI2]   DRI driver: i965
[    28.385] (II) intel(0): Allocated new frame buffer 1408x768 stride 5632, tiled
[    28.405] (II) UXA(0): Driver registered support for the following operations:
[    28.405] (II)         solid
[    28.405] (II)         copy
[    28.406] (II)         composite (RENDER acceleration)
[    28.406] (II)         put_image
[    28.406] (II)         get_image
[    28.406] (==) intel(0): Backing store disabled
[    28.406] (==) intel(0): Silken mouse enabled
[    28.406] (II) intel(0): Initializing HW Cursor
[    28.472] (II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[    28.478] (==) intel(0): DPMS enabled
[    28.478] (II) intel(0): Set up textured video
[    28.478] (II) intel(0): direct rendering: DRI2 Enabled
[    28.478] (==) intel(0): hotplug detection: "enabled"
[    28.478] (--) RandR disabled
[    28.478] (II) Initializing built-in extension Generic Event Extension
[    28.478] (II) Initializing built-in extension SHAPE
[    28.478] (II) Initializing built-in extension MIT-SHM
[    28.478] (II) Initializing built-in extension XInputExtension
[    28.478] (II) Initializing built-in extension XTEST
[    28.478] (II) Initializing built-in extension BIG-REQUESTS
[    28.478] (II) Initializing built-in extension SYNC
[    28.478] (II) Initializing built-in extension XKEYBOARD
[    28.478] (II) Initializing built-in extension XC-MISC
[    28.478] (II) Initializing built-in extension SECURITY
[    28.478] (II) Initializing built-in extension XINERAMA
[    28.478] (II) Initializing built-in extension XFIXES
[    28.478] (II) Initializing built-in extension RENDER
[    28.478] (II) Initializing built-in extension RANDR
[    28.478] (II) Initializing built-in extension COMPOSITE
[    28.478] (II) Initializing built-in extension DAMAGE
[    28.478] (II) SELinux: Disabled on system
[    28.598] (II) AIGLX: enabled GLX_MESA_copy_sub_buffer
[    28.598] (II) AIGLX: enabled GLX_INTEL_swap_event
[    28.598] (II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
[    28.598] (II) AIGLX: enabled GLX_SGI_make_current_read
[    28.598] (II) AIGLX: GLX_EXT_texture_from_pixmap backed by buffer objects
[    28.598] (II) AIGLX: Loaded and initialized /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
[    28.598] (II) GLX: Initialized DRI2 GL provider for screen 0
[    28.599] (II) intel(0): Setting screen physical size to 361 x 203
[    29.070] (II) config/udev: Adding input device Power Button (/dev/input/event3)
[    29.071] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[    29.071] (II) LoadModule: "evdev"
[    29.071] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    29.077] (II) Module evdev: vendor="X.Org Foundation"
[    29.077] 	compiled for 1.10.1, module version = 2.6.0
[    29.077] 	Module class: X.Org XInput Driver
[    29.077] 	ABI class: X.Org XInput driver, version 12.2
[    29.078] (II) Using input driver 'evdev' for 'Power Button'
[    29.078] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    29.078] (**) Power Button: always reports core events
[    29.078] (**) Power Button: Device: "/dev/input/event3"
[    29.084] (--) Power Button: Found keys
[    29.084] (II) Power Button: Configuring as keyboard
[    29.084] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3"
[    29.084] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
[    29.084] (**) Option "xkb_rules" "evdev"
[    29.084] (**) Option "xkb_model" "pc105"
[    29.084] (**) Option "xkb_layout" "it"
[    29.194] (II) config/udev: Adding input device Video Bus (/dev/input/event8)
[    29.194] (**) Video Bus: Applying InputClass "evdev keyboard catchall"
[    29.194] (II) Using input driver 'evdev' for 'Video Bus'
[    29.194] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    29.194] (**) Video Bus: always reports core events
[    29.194] (**) Video Bus: Device: "/dev/input/event8"
[    29.216] (--) Video Bus: Found keys
[    29.216] (II) Video Bus: Configuring as keyboard
[    29.216] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input8/event8"
[    29.216] (II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD)
[    29.216] (**) Option "xkb_rules" "evdev"
[    29.216] (**) Option "xkb_model" "pc105"
[    29.216] (**) Option "xkb_layout" "it"
[    29.223] (II) config/udev: Adding input device Lid Switch (/dev/input/event1)
[    29.223] (II) No input driver/identifier specified (ignoring)
[    29.223] (II) config/udev: Adding input device Sleep Button (/dev/input/event2)
[    29.223] (**) Sleep Button: Applying InputClass "evdev keyboard catchall"
[    29.223] (II) Using input driver 'evdev' for 'Sleep Button'
[    29.223] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    29.223] (**) Sleep Button: always reports core events
[    29.223] (**) Sleep Button: Device: "/dev/input/event2"
[    29.248] (--) Sleep Button: Found keys
[    29.248] (II) Sleep Button: Configuring as keyboard
[    29.248] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input2/event2"
[    29.248] (II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD)
[    29.248] (**) Option "xkb_rules" "evdev"
[    29.248] (**) Option "xkb_model" "pc105"
[    29.248] (**) Option "xkb_layout" "it"
[    29.255] (II) config/udev: Adding input device Integrated Camera (/dev/input/event6)
[    29.255] (**) Integrated Camera: Applying InputClass "evdev keyboard catchall"
[    29.255] (II) Using input driver 'evdev' for 'Integrated Camera'
[    29.255] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    29.255] (**) Integrated Camera: always reports core events
[    29.255] (**) Integrated Camera: Device: "/dev/input/event6"
[    29.280] (--) Integrated Camera: Found keys
[    29.280] (II) Integrated Camera: Configuring as keyboard
[    29.280] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.6/1-1.6:1.0/input/input6/event6"
[    29.280] (II) XINPUT: Adding extended input device "Integrated Camera" (type: KEYBOARD)
[    29.280] (**) Option "xkb_rules" "evdev"
[    29.280] (**) Option "xkb_model" "pc105"
[    29.280] (**) Option "xkb_layout" "it"
[    29.281] (II) config/udev: Adding input device HDA Digital PCBeep (/dev/input/event9)
[    29.281] (II) No input driver/identifier specified (ignoring)
[    29.294] (II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event0)
[    29.294] (**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
[    29.294] (II) Using input driver 'evdev' for 'AT Translated Set 2 keyboard'
[    29.294] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    29.294] (**) AT Translated Set 2 keyboard: always reports core events
[    29.294] (**) AT Translated Set 2 keyboard: Device: "/dev/input/event0"
[    29.294] (--) AT Translated Set 2 keyboard: Found keys
[    29.294] (II) AT Translated Set 2 keyboard: Configuring as keyboard
[    29.294] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio0/input/input0/event0"
[    29.294] (II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD)
[    29.294] (**) Option "xkb_rules" "evdev"
[    29.294] (**) Option "xkb_model" "pc105"
[    29.294] (**) Option "xkb_layout" "it"
[    29.295] (II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/event5)
[    29.295] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "evdev touchpad catchall"
[    29.295] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "touchpad catchall"
[    29.295] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "My touchpad"
[    29.295] (II) LoadModule: "synaptics"
[    29.296] (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
[    29.315] (II) Module synaptics: vendor="X.Org Foundation"
[    29.315] 	compiled for 1.10.2, module version = 1.4.1
[    29.315] 	Module class: X.Org XInput Driver
[    29.315] 	ABI class: X.Org XInput driver, version 12.2
[    29.315] (II) Using input driver 'synaptics' for 'SynPS/2 Synaptics TouchPad'
[    29.315] (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
[    29.315] (**) SynPS/2 Synaptics TouchPad: always reports core events
[    29.315] (**) Option "Device" "/dev/input/event5"
[    29.321] (--) SynPS/2 Synaptics TouchPad: x-axis range 1472 - 5472
[    29.321] (--) SynPS/2 Synaptics TouchPad: y-axis range 1408 - 4448
[    29.321] (--) SynPS/2 Synaptics TouchPad: pressure range 0 - 255
[    29.321] (--) SynPS/2 Synaptics TouchPad: finger width range 0 - 15
[    29.321] (--) SynPS/2 Synaptics TouchPad: buttons: left double triple
[    29.321] (**) Option "SHMConfig" "on"
[    29.321] (**) Option "VertEdgeScroll" "off"
[    29.321] (**) Option "VertTwoFingerScroll" "on"
[    29.321] (**) Option "TapButton1" "1"
[    29.324] (--) SynPS/2 Synaptics TouchPad: touchpad found
[    29.324] (**) SynPS/2 Synaptics TouchPad: always reports core events
[    29.324] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio1/input/input5/event5"
[    29.324] (II) XINPUT: Adding extended input device "SynPS/2 Synaptics TouchPad" (type: TOUCHPAD)
[    29.324] (**) SynPS/2 Synaptics TouchPad: (accel) MinSpeed is now constant deceleration 2.5
[    29.324] (**) SynPS/2 Synaptics TouchPad: MaxSpeed is now 1.75
[    29.324] (**) SynPS/2 Synaptics TouchPad: AccelFactor is now 0.040
[    29.325] (**) SynPS/2 Synaptics TouchPad: (accel) keeping acceleration scheme 1
[    29.325] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration profile 1
[    29.325] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration factor: 2.000
[    29.325] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration threshold: 4
[    29.328] (--) SynPS/2 Synaptics TouchPad: touchpad found
[    29.328] (II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/mouse0)
[    29.328] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "touchpad catchall"
[    29.328] (II) Using input driver 'synaptics' for 'SynPS/2 Synaptics TouchPad'
[    29.328] (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
[    29.328] (**) SynPS/2 Synaptics TouchPad: always reports core events
[    29.328] (**) Option "Device" "/dev/input/mouse0"
[    29.329] (--) SynPS/2 Synaptics TouchPad: invalid x-axis range.  defaulting to 1615 - 5685
[    29.329] (--) SynPS/2 Synaptics TouchPad: invalid y-axis range.  defaulting to 1729 - 4171
[    29.329] (--) SynPS/2 Synaptics TouchPad: invalid pressure range.  defaulting to 0 - 256
[    29.329] (--) SynPS/2 Synaptics TouchPad: invalid finger width range.  defaulting to 0 - 16
[    29.349] (EE) Query no Synaptics: 6003C8
[    29.349] (--) SynPS/2 Synaptics TouchPad: no supported touchpad found
[    29.349] (EE) SynPS/2 Synaptics TouchPad Unable to query/initialize Synaptics hardware.
[    29.349] (EE) PreInit returned 11 for "SynPS/2 Synaptics TouchPad"
[    29.349] (II) UnloadModule: "synaptics"
[    29.349] (II) Unloading synaptics
[    29.350] (II) config/udev: Adding input device TPPS/2 IBM TrackPoint (/dev/input/event10)
[    29.350] (**) TPPS/2 IBM TrackPoint: Applying InputClass "evdev pointer catchall"
[    29.350] (II) Using input driver 'evdev' for 'TPPS/2 IBM TrackPoint'
[    29.350] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    29.350] (**) TPPS/2 IBM TrackPoint: always reports core events
[    29.350] (**) TPPS/2 IBM TrackPoint: Device: "/dev/input/event10"
[    29.350] (--) TPPS/2 IBM TrackPoint: Found 3 mouse buttons
[    29.350] (--) TPPS/2 IBM TrackPoint: Found relative axes
[    29.350] (--) TPPS/2 IBM TrackPoint: Found x and y relative axes
[    29.350] (II) TPPS/2 IBM TrackPoint: Configuring as mouse
[    29.350] (**) TPPS/2 IBM TrackPoint: YAxisMapping: buttons 4 and 5
[    29.350] (**) TPPS/2 IBM TrackPoint: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[    29.350] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio1/serio2/input/input10/event10"
[    29.350] (II) XINPUT: Adding extended input device "TPPS/2 IBM TrackPoint" (type: MOUSE)
[    29.351] (II) TPPS/2 IBM TrackPoint: initialized for relative axes.
[    29.351] (**) TPPS/2 IBM TrackPoint: (accel) keeping acceleration scheme 1
[    29.351] (**) TPPS/2 IBM TrackPoint: (accel) acceleration profile 0
[    29.351] (**) TPPS/2 IBM TrackPoint: (accel) acceleration factor: 2.000
[    29.351] (**) TPPS/2 IBM TrackPoint: (accel) acceleration threshold: 4
[    29.351] (II) config/udev: Adding input device TPPS/2 IBM TrackPoint (/dev/input/mouse1)
[    29.351] (II) No input driver/identifier specified (ignoring)
[    29.352] (II) config/udev: Adding input device PC Speaker (/dev/input/event4)
[    29.352] (II) No input driver/identifier specified (ignoring)
[    29.354] (II) config/udev: Adding input device ThinkPad Extra Buttons (/dev/input/event7)
[    29.354] (**) ThinkPad Extra Buttons: Applying InputClass "evdev keyboard catchall"
[    29.354] (II) Using input driver 'evdev' for 'ThinkPad Extra Buttons'
[    29.354] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    29.354] (**) ThinkPad Extra Buttons: always reports core events
[    29.354] (**) ThinkPad Extra Buttons: Device: "/dev/input/event7"
[    29.354] (--) ThinkPad Extra Buttons: Found keys
[    29.354] (II) ThinkPad Extra Buttons: Configuring as keyboard
[    29.354] (**) Option "config_info" "udev:/sys/devices/platform/thinkpad_acpi/input/input7/event7"
[    29.354] (II) XINPUT: Adding extended input device "ThinkPad Extra Buttons" (type: KEYBOARD)
[    29.354] (**) Option "xkb_rules" "evdev"
[    29.354] (**) Option "xkb_model" "pc105"
[    29.354] (**) Option "xkb_layout" "it"
[    29.362] (II) config/udev: Adding input device ACPI Virtual Keyboard Device (/dev/input/event11)
[    29.362] (**) ACPI Virtual Keyboard Device: Applying InputClass "evdev keyboard catchall"
[    29.362] (II) Using input driver 'evdev' for 'ACPI Virtual Keyboard Device'
[    29.362] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    29.362] (**) ACPI Virtual Keyboard Device: always reports core events
[    29.362] (**) ACPI Virtual Keyboard Device: Device: "/dev/input/event11"
[    29.362] (--) ACPI Virtual Keyboard Device: Found keys
[    29.362] (II) ACPI Virtual Keyboard Device: Configuring as keyboard
[    29.362] (**) Option "config_info" "udev:/sys/devices/virtual/input/input11/event11"
[    29.363] (II) XINPUT: Adding extended input device "ACPI Virtual Keyboard Device" (type: KEYBOARD)
[    29.363] (**) Option "xkb_rules" "evdev"
[    29.363] (**) Option "xkb_model" "pc105"
[    29.363] (**) Option "xkb_layout" "it"
[    59.722] (II) intel(0): EDID vendor "LGD", prod id 723
[    59.722] (II) intel(0): Printing DDC gathered Modelines:
[    59.722] (II) intel(0): Modeline "1366x768"x0.0   74.80  1366 1414 1446 1578  768 770 775 790 +hsync -vsync (47.4 kHz)
[    60.409] (II) intel(0): EDID vendor "LGD", prod id 723
[    60.410] (II) intel(0): Printing DDC gathered Modelines:
[    60.410] (II) intel(0): Modeline "1366x768"x0.0   74.80  1366 1414 1446 1578  768 770 775 790 +hsync -vsync (47.4 kHz)
[   511.276] (II) AIGLX: Suspending AIGLX clients for VT switch
[   515.367] (II) Open ACPI successful (/var/run/acpid.socket)
[   515.367] (II) AIGLX: Resuming AIGLX clients after VT switch
[   515.428] (II) intel(0): EDID vendor "LGD", prod id 723
[   515.428] (II) intel(0): Printing DDC gathered Modelines:
[   515.428] (II) intel(0): Modeline "1366x768"x0.0   74.80  1366 1414 1446 1578  768 770 775 790 +hsync -vsync (47.4 kHz)
[   516.260] (--) SynPS/2 Synaptics TouchPad: touchpad found

udev information:
-----------------
P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input3
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input3
E: PRODUCT=19/0/1/0
E: NAME="Power Button"
E: PHYS="LNXPWRBN/button/input0"
E: PROP=0
E: EV=3
E: KEY=10000000000000 0
E: MODALIAS=input:b0019v0000p0001e0000-e0,1,k74,ramlsfw
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-LNXPWRBN:00
E: ID_PATH_TAG=acpi-LNXPWRBN_00

P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3
N: input/event3
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3
E: MAJOR=13
E: MINOR=67
E: DEVNAME=/dev/input/event3
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-LNXPWRBN:00
E: ID_PATH_TAG=acpi-LNXPWRBN_00
E: XKBMODEL=pc105
E: XKBLAYOUT=it
E: BACKSPACE=guess
E: DMI_VENDOR=LENOVO

P: /devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input8
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input8
E: PRODUCT=19/0/6/0
E: NAME="Video Bus"
E: PHYS="LNXVIDEO/video/input0"
E: PROP=0
E: EV=3
E: KEY=3e000b00000000 0 0 0
E: MODALIAS=input:b0019v0000p0006e0000-e0,1,kE0,E1,E3,F1,F2,F3,F4,F5,ramlsfw
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-LNXVIDEO:00
E: ID_PATH_TAG=acpi-LNXVIDEO_00

P: /devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input8/event8
N: input/event8
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input8/event8
E: MAJOR=13
E: MINOR=72
E: DEVNAME=/dev/input/event8
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-LNXVIDEO:00
E: ID_PATH_TAG=acpi-LNXVIDEO_00
E: XKBMODEL=pc105
E: XKBLAYOUT=it
E: BACKSPACE=guess
E: DMI_VENDOR=LENOVO

P: /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input1
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input1
E: PRODUCT=19/0/5/0
E: NAME="Lid Switch"
E: PHYS="PNP0C0D/button/input0"
E: PROP=0
E: EV=21
E: SW=1
E: MODALIAS=input:b0019v0000p0005e0000-e0,5,kramlsfw0,
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_PATH=acpi-PNP0C0D:00
E: ID_PATH_TAG=acpi-PNP0C0D_00

P: /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input1/event1
N: input/event1
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input1/event1
E: MAJOR=13
E: MINOR=65
E: DEVNAME=/dev/input/event1
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_PATH=acpi-PNP0C0D:00
E: ID_PATH_TAG=acpi-PNP0C0D_00
E: DMI_VENDOR=LENOVO

P: /devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input2
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input2
E: PRODUCT=19/0/3/0
E: NAME="Sleep Button"
E: PHYS="PNP0C0E/button/input0"
E: PROP=0
E: EV=3
E: KEY=4000 0 0
E: MODALIAS=input:b0019v0000p0003e0000-e0,1,k8E,ramlsfw
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-PNP0C0E:00
E: ID_PATH_TAG=acpi-PNP0C0E_00

P: /devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input2/event2
N: input/event2
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input2/event2
E: MAJOR=13
E: MINOR=66
E: DEVNAME=/dev/input/event2
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-PNP0C0E:00
E: ID_PATH_TAG=acpi-PNP0C0E_00
E: XKBMODEL=pc105
E: XKBLAYOUT=it
E: BACKSPACE=guess
E: DMI_VENDOR=LENOVO

P: /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.6/1-1.6:1.0/input/input6
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.6/1-1.6:1.0/input/input6
E: PRODUCT=3/4f2/b217/854
E: NAME="Integrated Camera"
E: PHYS="usb-0000:00:1a.0-1.6/button"
E: PROP=0
E: EV=3
E: KEY=100000 0 0 0
E: MODALIAS=input:b0003v04F2pB217e0854-e0,1,kD4,ramlsfw
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_VENDOR=Chicony_Electronics_Co.__Ltd.
E: ID_VENDOR_ENC=Chicony\x20Electronics\x20Co.\x2c\x20Ltd.
E: ID_VENDOR_ID=04f2
E: ID_MODEL=Integrated_Camera
E: ID_MODEL_ENC=Integrated\x20Camera
E: ID_MODEL_ID=b217
E: ID_REVISION=0854
E: ID_SERIAL=Chicony_Electronics_Co.__Ltd._Integrated_Camera
E: ID_TYPE=video
E: ID_BUS=usb
E: ID_USB_INTERFACES=:0e0100:0e0200:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=uvcvideo
E: ID_PATH=pci-0000:00:1a.0-usb-0:1.6:1.0
E: ID_PATH_TAG=pci-0000_00_1a_0-usb-0_1_6_1_0

P: /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.6/1-1.6:1.0/input/input6/event6
N: input/event6
S: input/by-id/usb-Chicony_Electronics_Co.__Ltd._Integrated_Camera-event-if00
S: input/by-path/pci-0000:00:1a.0-usb-0:1.6:1.0-event
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.6/1-1.6:1.0/input/input6/event6
E: MAJOR=13
E: MINOR=70
E: DEVNAME=/dev/input/event6
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_VENDOR=Chicony_Electronics_Co.__Ltd.
E: ID_VENDOR_ENC=Chicony\x20Electronics\x20Co.\x2c\x20Ltd.
E: ID_VENDOR_ID=04f2
E: ID_MODEL=Integrated_Camera
E: ID_MODEL_ENC=Integrated\x20Camera
E: ID_MODEL_ID=b217
E: ID_REVISION=0854
E: ID_SERIAL=Chicony_Electronics_Co.__Ltd._Integrated_Camera
E: ID_TYPE=video
E: ID_BUS=usb
E: ID_USB_INTERFACES=:0e0100:0e0200:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=uvcvideo
E: ID_PATH=pci-0000:00:1a.0-usb-0:1.6:1.0
E: ID_PATH_TAG=pci-0000_00_1a_0-usb-0_1_6_1_0
E: XKBMODEL=pc105
E: XKBLAYOUT=it
E: DEVLINKS=/dev/input/by-id/usb-Chicony_Electronics_Co.__Ltd._Integrated_Camera-event-if00 /dev/input/by-path/pci-0000:00:1a.0-usb-0:1.6:1.0-event
E: BACKSPACE=guess

P: /devices/pci0000:00/0000:00:1b.0/input/input9
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/input/input9
E: PRODUCT=1/14f1/506e/1
E: NAME="HDA Digital PCBeep"
E: PHYS="card0/codec#0/beep0"
E: PROP=0
E: EV=40001
E: SND=6
E: MODALIAS=input:b0001v14F1p506Ee0001-e0,12,kramls1,2,fw
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: ID_PATH_TAG=pci-0000_00_1b_0

P: /devices/pci0000:00/0000:00:1b.0/input/input9/event9
N: input/event9
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/input/input9/event9
E: MAJOR=13
E: MINOR=73
E: DEVNAME=/dev/input/event9
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: ID_PATH_TAG=pci-0000_00_1b_0
E: DMI_VENDOR=LENOVO

P: /devices/platform/i8042/serio0/input/input0
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio0/input/input0
E: PRODUCT=11/1/1/ab54
E: NAME="AT Translated Set 2 keyboard"
E: PHYS="isa0060/serio0/input0"
E: PROP=0
E: EV=120013
E: KEY=402000000 3803078f800d001 feffffdfffefffff fffffffffffffffe
E: MSC=10
E: LED=7
E: MODALIAS=input:b0011v0001p0001eAB54-e0,1,4,11,14,k71,72,73,74,75,76,77,79,7A,7B,7C,7D,7E,7F,80,8C,8E,8F,9B,9C,9D,9E,9F,A3,A4,A5,A6,AC,AD,B7,B8,B9,D9,E2,ram4,l0,1,2,sfw
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-0
E: ID_PATH_TAG=platform-i8042-serio-0

P: /devices/platform/i8042/serio0/input/input0/event0
N: input/event0
S: input/by-path/platform-i8042-serio-0-event-kbd
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio0/input/input0/event0
E: MAJOR=13
E: MINOR=64
E: DEVNAME=/dev/input/event0
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-0
E: ID_PATH_TAG=platform-i8042-serio-0
E: XKBMODEL=pc105
E: XKBLAYOUT=it
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-0-event-kbd
E: BACKSPACE=guess
E: DMI_VENDOR=LENOVO

P: /devices/platform/i8042/serio1/input/input5
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input5
E: PRODUCT=11/2/7/1b1
E: NAME="SynPS/2 Synaptics TouchPad"
E: PHYS="isa0060/serio1/input0"
E: PROP=5
E: EV=b
E: KEY=6420 10000 0 0 0 0
E: ABS=11000003
E: MODALIAS=input:b0011v0002p0007e01B1-e0,1,3,k110,145,14A,14D,14E,ra0,1,18,1C,mlsfw
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_TOUCHPAD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: ID_PATH_TAG=platform-i8042-serio-1

P: /devices/platform/i8042/serio1/input/input5/event5
N: input/event5
S: input/by-path/platform-i8042-serio-1-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input5/event5
E: MAJOR=13
E: MINOR=69
E: DEVNAME=/dev/input/event5
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_TOUCHPAD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: ID_PATH_TAG=platform-i8042-serio-1
E: DMI_VENDOR=LENOVO
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-1-event-mouse

P: /devices/platform/i8042/serio1/input/input5/mouse0
N: input/mouse0
S: input/by-path/platform-i8042-serio-1-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input5/mouse0
E: MAJOR=13
E: MINOR=32
E: DEVNAME=/dev/input/mouse0
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_TOUCHPAD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: ID_PATH_TAG=platform-i8042-serio-1
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-1-mouse

P: /devices/platform/i8042/serio1/serio2/input/input10
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/serio2/input/input10
E: PRODUCT=11/2/a/0
E: NAME="TPPS/2 IBM TrackPoint"
E: PHYS="synaptics-pt/serio0/input0"
E: PROP=0
E: EV=7
E: KEY=70000 0 0 0 0
E: REL=3
E: MODALIAS=input:b0011v0002p000Ae0000-e0,1,2,k110,111,112,r0,1,amlsfw
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-2
E: ID_PATH_TAG=platform-i8042-serio-2

P: /devices/platform/i8042/serio1/serio2/input/input10/event10
N: input/event10
S: input/by-path/platform-i8042-serio-2-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/serio2/input/input10/event10
E: MAJOR=13
E: MINOR=74
E: DEVNAME=/dev/input/event10
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-2
E: ID_PATH_TAG=platform-i8042-serio-2
E: DMI_VENDOR=LENOVO
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-2-event-mouse

P: /devices/platform/i8042/serio1/serio2/input/input10/mouse1
N: input/mouse1
S: input/by-path/platform-i8042-serio-2-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/serio2/input/input10/mouse1
E: MAJOR=13
E: MINOR=33
E: DEVNAME=/dev/input/mouse1
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-2
E: ID_PATH_TAG=platform-i8042-serio-2
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-2-mouse

P: /devices/platform/pcspkr/input/input4
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/pcspkr/input/input4
E: PRODUCT=10/1f/1/100
E: NAME="PC Speaker"
E: PHYS="isa0061/input0"
E: PROP=0
E: EV=40001
E: SND=6
E: MODALIAS=input:b0010v001Fp0001e0100-e0,12,kramls1,2,fw
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-pcspkr
E: ID_PATH_TAG=platform-pcspkr

P: /devices/platform/pcspkr/input/input4/event4
N: input/event4
S: input/by-path/platform-pcspkr-event-spkr
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/pcspkr/input/input4/event4
E: MAJOR=13
E: MINOR=68
E: DEVNAME=/dev/input/event4
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-pcspkr
E: ID_PATH_TAG=platform-pcspkr
E: DMI_VENDOR=LENOVO
E: DEVLINKS=/dev/input/by-path/platform-pcspkr-event-spkr

P: /devices/platform/thinkpad_acpi/input/input7
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/thinkpad_acpi/input/input7
E: PRODUCT=19/17aa/5054/4101
E: NAME="ThinkPad Extra Buttons"
E: PHYS="thinkpad_acpi/input0"
E: PROP=0
E: EV=33
E: KEY=18040000 0 10000000000000 0 1501b00102004 8000000001104000 e000000000000 0
E: MSC=10
E: SW=a
E: MODALIAS=input:b0019v17AAp5054e4101-e0,1,4,5,k71,72,73,8E,94,98,BF,C2,CD,D4,E0,E1,E3,E4,EC,EE,F0,174,1D2,1DB,1DC,ram4,lsfw1,3,
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=platform-thinkpad_acpi
E: ID_PATH_TAG=platform-thinkpad_acpi

P: /devices/platform/thinkpad_acpi/input/input7/event7
N: input/event7
S: input/by-path/platform-thinkpad_acpi-event
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/thinkpad_acpi/input/input7/event7
E: MAJOR=13
E: MINOR=71
E: DEVNAME=/dev/input/event7
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=platform-thinkpad_acpi
E: ID_PATH_TAG=platform-thinkpad_acpi
E: XKBMODEL=pc105
E: XKBLAYOUT=it
E: DEVLINKS=/dev/input/by-path/platform-thinkpad_acpi-event
E: BACKSPACE=guess
E: DMI_VENDOR=LENOVO

P: /devices/virtual/input/input11
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input11
E: PRODUCT=3/0/0/4
E: NAME="ACPI Virtual Keyboard Device"
E: PROP=0
E: EV=3
E: KEY=ffffffffffffffff ffffffffffffffff ffffffffffffffff fffffffffffffffe
E: MODALIAS=input:b0003v0000p0000e0004-e0,1,k71,72,73,74,75,76,77,78,79,7A,7B,7C,7D,7E,7F,80,81,82,83,84,85,86,87,88,89,8A,8B,8C,8D,8E,8F,90,91,92,93,94,95,96,97,98,99,9A,9B,9C,9D,9E,9F,A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,AA,AB,AC,AD,AE,AF,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,BA,BB,BC,BD,BE,BF,C0,C1,C2,C3,C4,C5,C6,C7,C8,C9,CA,CB,CC,CD,CE,CF,D0,D1,D2,D3,D4,D5,D6,D7,D8,D9,DA,DB,DC,DD,DE,DF,E0,E1,E2,E3,E4,E5,E6,E7,E8,E9,EA,EB,EC,ED,EE,EF,F0,F1,F2,F3,F4,F5,F6,F7,F8,F9,FA,FB,FC,FD,FE,FF,ramlsfw
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial

P: /devices/virtual/input/input11/event11
N: input/event11
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input11/event11
E: MAJOR=13
E: MINOR=75
E: DEVNAME=/dev/input/event11
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: XKBMODEL=pc105
E: XKBLAYOUT=it
E: BACKSPACE=guess
E: DMI_VENDOR=LENOVO


DRM Information from dmesg:
---------------------------
[    0.000000] No AGP bridge found
[    0.000000] No AGP bridge found
[    1.632678] Linux agpgart interface v0.103
[    1.632882] agpgart-intel 0000:00:00.0: Intel Sandybridge Chipset
[    1.633072] agpgart-intel 0000:00:00.0: detected gtt size: 2097152K total, 262144K mappable
[    1.635756] agpgart-intel 0000:00:00.0: detected 65536K stolen memory
[    1.635964] agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0xe0000000
[    9.813761] [drm] Initialized drm 1.1.0 20060810
[   10.458219] [drm] MTRR allocation failed.  Graphics performance may suffer.
[   10.459052] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
[   10.459057] [drm] Driver supports precise vblank timestamp query.
[   11.079930] fbcon: inteldrmfb (fb0) is primary device
[   11.267108] fb0: inteldrmfb frame buffer device
[   11.267112] drm: registered panic notifier
[   11.296187] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=it_IT@euro, LC_CTYPE=it_IT@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg-video-intel depends on:
ii  libc6                         2.13-16    Embedded GNU C Library: Shared lib
ii  libdrm-intel1                 2.4.26-1   Userspace interface to intel-speci
ii  libdrm2                       2.4.26-1   Userspace interface to kernel DRM 
ii  libpciaccess0                 0.12.1-1   Generic PCI access library for X
ii  libudev0                      172-1      libudev shared library
ii  xserver-xorg-core [xorg-video 2:1.10.4-1 Xorg X server - core server

xserver-xorg-video-intel recommends no packages.

xserver-xorg-video-intel suggests no packages.

-- no debconf information
Comment 1 Chris Wilson 2011-09-01 12:39:08 UTC
The first bit of information I need is whether this is a GPU hang. Is the system accessible after the freeze and is /sys/kernel/debug/dri/0/i915_error_state populated?
Comment 2 Oscar 2011-09-01 13:57:20 UTC
The system is totally unaccessible after freezing, even with standard console key combinations (Ctrl-Alt-F*)
that's the reason for the brutal shutdown. The file /sys/kernel/debug/dri/0/i915_error_state reports
"no error state collected" for the time being, but i've rebooted and uninstalled intel driver, so dunno
if it's overwritten by the new system bootup.

> From: bugzilla-daemon@freedesktop.org
> To: lancelot1981@hotmail.it
> Subject: [Bug 40564] Intel driver freezes wheezy system on Sandybridge HD3000 chipset
> Date: Thu, 1 Sep 2011 12:39:09 -0700
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=40564
> 
> --- Comment #1 from Chris Wilson <chris@chris-wilson.co.uk> 2011-09-01 12:39:08 PDT ---
> The first bit of information I need is whether this is a GPU hang. Is the
> system accessible after the freeze and is
> /sys/kernel/debug/dri/0/i915_error_state populated?
> 
> -- 
> Configure bugmail: https://bugs.freedesktop.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You reported the bug.
Comment 3 Chris Wilson 2011-09-01 15:15:04 UTC
Ok, my guess is that this is https://bugzilla.kernel.org/show_bug.cgi?id=27892 in which case adding an Option "DebugFlushCaches" "True" to the Device section in your xorg.conf (or add a snippet to xorg.conf.d if you prefer) will workaround the bug.
Comment 4 Oscar 2011-09-02 01:38:25 UTC
But i get no error messages in the kernel after the freeze.
Anyway, if i have to follow your suggestion, should i also add that patch
in the bug you linked me to, to the driver?


> From: bugzilla-daemon@freedesktop.org
> To: lancelot1981@hotmail.it
> Subject: [Bug 40564] Intel driver freezes wheezy system on Sandybridge HD3000 chipset
> Date: Thu, 1 Sep 2011 15:15:06 -0700
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=40564
> 
> --- Comment #3 from Chris Wilson <chris@chris-wilson.co.uk> 2011-09-01 15:15:04 PDT ---
> Ok, my guess is that this is https://bugzilla.kernel.org/show_bug.cgi?id=27892
> in which case adding an Option "DebugFlushCaches" "True" to the Device section
> in your xorg.conf (or add a snippet to xorg.conf.d if you prefer) will
> workaround the bug.
> 
> -- 
> Configure bugmail: https://bugs.freedesktop.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You reported the bug.
Comment 5 Chris Wilson 2011-09-02 02:10:45 UTC
No, the xorg.conf option is sufficient. The patch was simply to hardcode the workarounds for a distro pkg.
Comment 6 Oscar 2011-09-02 04:03:51 UTC
Nothing to do.
I followed your suggestion but the system still freezes, this time even in normal screen
mode (no xscreensaver running). Here's my /etc/xorg.conf.d/10-intel.conf:

Section "Device"
  Identifier "PCI:00:02.0"
  Driver     "intel"
  Option     "DebugFlushCaches" "True"
  Option     "DebugFlushBatches" "True"
EndSection

The driver version running is 2.15 from debian wheezy package xserver-xorg-video-intel, kernel 2.6.39 .

> From: bugzilla-daemon@freedesktop.org
> To: lancelot1981@hotmail.it
> Subject: [Bug 40564] Intel driver freezes wheezy system on Sandybridge HD3000 chipset
> Date: Fri, 2 Sep 2011 02:10:45 -0700
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=40564
> 
> --- Comment #5 from Chris Wilson <chris@chris-wilson.co.uk> 2011-09-02 02:10:45 PDT ---
> No, the xorg.conf option is sufficient. The patch was simply to hardcode the
> workarounds for a distro pkg.
> 
> -- 
> Configure bugmail: https://bugs.freedesktop.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You reported the bug.
Comment 7 Oscar 2011-09-16 00:35:14 UTC
Hi there,
any progress on this bug?
Thanks,
Oscar

> From: bugzilla-daemon@freedesktop.org
> To: lancelot1981@hotmail.it
> Subject: [Bug 40564] Intel driver freezes wheezy system on Sandybridge HD3000 chipset
> Date: Fri, 2 Sep 2011 02:10:45 -0700
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=40564
> 
> --- Comment #5 from Chris Wilson <chris@chris-wilson.co.uk> 2011-09-02 02:10:45 PDT ---
> No, the xorg.conf option is sufficient. The patch was simply to hardcode the
> workarounds for a distro pkg.
> 
> -- 
> Configure bugmail: https://bugs.freedesktop.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You reported the bug.
Comment 8 J Walter 2011-09-16 12:36:42 UTC
I am getting the same behavior on a Thinkpad like Oscar, so Chris, I'll turn on the extra settings and hopefully get some information on where this is happening.

The mouse pointer freezes, and not even the raising elephants key combos work. I did not try to log in over the network however.
Comment 9 J Walter 2011-09-21 08:57:35 UTC
(In reply to comment #8)
> I am getting the same behavior on a Thinkpad like Oscar, so Chris, I'll turn on
> the extra settings and hopefully get some information on where this is
> happening.
> 
> The mouse pointer freezes, and not even the raising elephants key combos work.
> I did not try to log in over the network however.

Setting i915.semaphores=1 on the kernel command line seems to fix this issue on my T420. Apparently Debian and Ubuntu also have or are in the process of releasing an update to their distros that fixes some lockup issues.
Comment 10 Daniel Vetter 2011-09-30 13:09:58 UTC
Please attach the full dmesg after boot and grab all the i915 kernel module parameters (i.e. all of /sys/module/i915/parameters).

Also please boot with i915.reset=0 (this sometimes prevents a gpu hang from taking down the complete systems), rehang your machine and try to grab as much as possible. Also check /var/log/messages in case the machine still hard-hangs, maybe something hit the disk.

Please describe your describe your desktop enviroment, like what window manager you're using and whether you have enabled/disabled compositioning. And add the version of your mesa package, please.

Thanks, Daniel
Comment 11 Eugeni Dodonov 2011-10-25 08:16:00 UTC
Ping?
Comment 12 Eugeni Dodonov 2011-11-03 14:06:31 UTC
Ping?

Could you confirm if it was fixed, or the issue is still out there, and provide the files Daniel asked please?
Comment 13 maurizio 2011-11-07 13:10:34 UTC
Created attachment 53270 [details]
dmesg right after boot
Comment 14 maurizio 2011-11-07 13:20:51 UTC
(In reply to comment #12)
> Ping?
> 
> Could you confirm if it was fixed, or the issue is still out there, and provide
> the files Daniel asked please?

Hi

I am not the original reporter but I believe I am experiencing the same issue (lenovo x121e, 00:02.0 VGA compatible controller: Intel Corporation Sandy Bridge Integrated Graphics Controller (rev 09) (prog-if 00 [VGA controller]))

The environment is gnome 2.30 as shipped wth debian squeeze (metacity window manager) and using xserver and intel driver backported from wheezy (xserver-xorg-video-intel: 2.15.0-3~bpo60+1).

In most cases nothing is found in the logs but four times (out of maybe 10 or 15 lockups) the last lines of syslog were:


...
Nov  6 11:01:35 mezzo kernel: [  136.772566] [drm:i915_hangcheck_elapsed] *ERROR
* Hangcheck timer elapsed... GPU hung
Nov  6 11:01:35 mezzo kernel: [  136.781982] [drm:i915_do_wait_request] *ERROR* 
i915_do_wait_request returns -11 (awaiting 15434 at 15431, next 15436)
Nov  6 11:01:35 mezzo acpid: client 2465[0:0] has disconnected
Nov  6 11:01:35 mezzo acpid: client connected from 2266[0:0]
Nov  6 11:01:35 mezzo acpid: 1 client rule loaded
Nov  6 11:01:41 mezzo acpid: client 2266[0:0] has disconnected
Nov  6 11:01:42 mezzo acpid: client connected from 2465[0:0]
Nov  6 11:01:42 mezzo acpid: 1 client rule loaded


followed by syslog restarted after reboot. The acpid messages were not always present though.

Module parameters:

/sys/module/i915/parameters/fbpercrtc: 0
/sys/module/i915/parameters/i915_enable_rc6: 0
/sys/module/i915/parameters/lvds_downclock: 0
/sys/module/i915/parameters/lvds_use_ssc: 1
/sys/module/i915/parameters/modeset: 1


Mesa packages:
root@mezzo:/home/tester# dpkg -l *mesa* | grep ^ii
ii  libgl1-mesa-dri                       7.10.3-4~bpo60+1                  free implementation of the OpenGL API -- DRI modules
ii  libgl1-mesa-glx                       7.7.1-5                           A free implementation of the OpenGL API -- GLX runtime
ii  libglu1-mesa                          7.7.1-5                           The OpenGL utility library (GLU)
ii  mesa-utils                            7.7.1-5                           Miscellaneous Mesa GL utilities

/sys/module/i915/parameters/fbpercrtc: 0
/sys/module/i915/parameters/i915_enable_rc6: 0
/sys/module/i915/parameters/lvds_downclock: 0
/sys/module/i915/parameters/lvds_use_ssc: 1
/sys/module/i915/parameters/modeset: 1
/sys/module/i915/parameters/powersave: 1
/sys/module/i915/parameters/reset: Y
/sys/module/i915/parameters/semaphores: 0


Regards,
Comment 15 Eugeni Dodonov 2011-11-07 13:54:18 UTC
Thanks!

Could you attach the /sys/kernel/debug/dri/0/i915_error_state as well, when the issue happens?

It should help to narrow down where it comes from..
Comment 16 maurizio 2011-11-07 14:41:54 UTC

Unfortunately even when booting with i915.reset=0 I can't access the system without rebooting and nothing is found in /sys/kernel/debug right after reboot.

This option did not bring any additional information to syslog either (yet).
Comment 17 Nick Hebrun 2011-12-11 12:30:34 UTC
In addition to bug 43587 I have this bug too. I have disabled the new sna-code and disabled dri in my xorg.conf for testing, but my system freezes from time to time. My system is current useless because the intel-driver freezes my system and the vesa-driver don't work (black screen).

I tried the following too:
DebugFlushCaches and DebugFlushBatches in xorg.conf
i915.reset=0 or i915semaphores=1 in kernel command line
login over network and ssh - no response

I can't upload the i915_error_state because the only way is to reboot my system. :(
How can I help to supply you with more information?
Comment 18 maurizio 2011-12-11 22:02:53 UTC
In an attempt to get more information I added this line to my crontab: 

*/1 *   *   *   *       cp /sys/kernel/debug/dri/0/i915_error_state /home/tester/tmp/debug/i915_error_state"$(date)"

but when the machine hangs this line is not executed anymore and the last version of i915_error_state just contains "no error state collected".

The only additional information I can provide for now is that altough neither the kernel nor xorg have been updated since my last communication about this bug, the machine now hangs *much* more seldom. It used to be several times a day at that time, sometimes within minutes of booting and that several times in a row, while it did not happen anymore for weeks.

Is there anything else I can try to grab this i915 error state?


Thanks,
Comment 19 xorgzilla 2011-12-18 10:09:06 UTC
Created attachment 54542 [details]
Xorg.0.log
Comment 20 xorgzilla 2011-12-18 10:09:50 UTC
(sorry for my englisch)

Hi, same problem here. The system freezes very random several times on the day or only after weeks. Exactly like maurizio wrote. No idea to get debug informations like i915_error_state.

-- chipset: Sandybridge Mobile (GT2)
-- system architecture: x86_64
-- xf86-video-intel: git version (17.12.2011)
-- xserver: 1.10.4
-- mesa: 7.11
-- libdrm: 2.4.29
-- kernel version: 3.0.6
-- Linux distribution: gentoo
-- Machine or mobo model: lenovo L520

attached Xorg.0.log.
I removed the NEEDINFO flag. Please tell us how to support you with debug information.
Comment 21 Eugeni Dodonov 2011-12-19 06:18:33 UTC
(In reply to comment #20)
> No idea to get debug informations like i915_error_state.

http://intellinuxgraphics.org/how_to_report_bug.html has some instructions on how to get them.

But for this specific issue, could you try with kernel 3.2-rc6? It should enable semaphores on the system by default (unless you have I/O virtualization).

Also, as there is no easy way to get the i915_error_state, and machine locks hard, if you could setup netconsole to get kernel messages over the network it would be very helpful (for example, as explained here - https://wiki.ubuntu.com/Kernel/Netconsole).
Comment 22 xorgzilla 2012-01-10 10:03:46 UTC
Created attachment 55391 [details]
Xorg.0.log with crash, dmesg with black screen

If I'm booting kernel 3.2.0, and the graphic driver is changing the
resolution, I get a black screen (modeset?).
The System itself is running normal in the background. Which means I
can type "blind" or login with ssh (see dmesg output at attachment).
Also the system is booting up properly with the parameter "nomodeset".

There were no errors with kernel 3.1.5.
(So I think the bug lies between version 3.1.5 and 3.2.0.)
Maybe somebody with a Sandybridge Mobile (GT2) graphics card could
test it, to exclude errors in my kernelconfig?

I've made the following changes:
mesa 7.11 -> 7.11.2
kernel 3.0.6 -> 3.1.5
xf86-video-intel git version (19.12.2011)

But there is something positive to report:
Instead of freezing the complete system, it's "only" the xserver that
is crashing.
This makes it possible to login per ssh and kill the xserver.
If the server crashes always the same error message appears in the logfile:
kernel: [drm:ironlake_update_pch_refclk] *ERROR* enabling SSC on PCH

Now I'm using xf86-video-intel git version (09.01.2012)...
Comment 23 Chris Wilson 2012-01-10 10:10:42 UTC
That's a different bug in libdrm, please update to libdrm-[intel]-2.4.30
Comment 24 Florian Mickler 2012-01-12 14:43:29 UTC
A patch referencing this bug report has been merged in Linux v3.2-rc6:

commit f45b55575cedb7efa782e43f1ea74338456d0381
Author: Eugeni Dodonov <eugeni.dodonov@intel.com>
Date:   Fri Dec 9 17:16:37 2011 -0800

    drm/i915: enable semaphores on per-device defaults
Comment 25 xorgzilla 2012-01-14 09:38:01 UTC
Created attachment 55576 [details]
Xorg crash

Now I use libdrm version 2.4.30.
The system freezes again. I have the errorlog attached.

I cannot use kernel 3.2.0 due a black screen after boot (see message above). Do you have any idea?
Comment 26 xorgzilla 2012-01-14 09:38:51 UTC
Created attachment 55577 [details]
i915_error_state
Comment 27 Graeme Russ 2012-01-24 15:36:37 UTC
I think I have a similar issue, so I won't create a new bug report just yet

My configuration:
 - ASRock Z68 Pro3 Gen3 Motherboard
 - 8GB RAM
 - Intel i5 2500K
 - Vanilla 3.2.0+ kernel (Commit ccb19d263fd1c9e34948e2158c53eacbff369344)

I've tried logging via Netconsole but no additional messages appear there which aren't already in /var/messages

i915.semaphores=1 does not help

Using an nVidia PCIe card and unloading the i915 modules at least allows my system to run stable

Am willing to do do whatever compiling, logging, testing etc necessary to help figure this out
Comment 28 Graeme Russ 2012-01-24 15:38:27 UTC
Oh, and I'm running Fedora 16...
Comment 29 Graeme Russ 2012-01-26 00:11:17 UTC
It looks like my problem is Motherboard and/or CPU related - Reproducible in Windows 7 and also had one hang when using an nVidia G210 PCIe card
Comment 30 Chris Wilson 2012-02-08 07:34:49 UTC
YAGBB (Yet another garbage batch buffer.)
Comment 31 Peter Tworek 2012-03-15 13:32:20 UTC
I think I'm affected by exactly the same problem as described in this bug report. In my case the easiest way to reproduce this issue is to run Oblivion under wine. The problem happens few seconds after loading any save game. What is interesting is the fact that my system somehow manages to recover and after the initial freeze it continues to run the game for another few seconds. After that another freeze occurs. During the freezes I'm usually able to switch back to virtual terminal to kill Oblivion.exe process to collect some debugging data.

What I've been able to deduce so far is that this is an regression in either mesa or libdrm. When using mesa 7.11 from git (906f670f1a1f33d69139f520ee931b268049eac6) with libdrm 2.4.27 the game runs without any problems. Tried this combo on both kernel 3.2.11 and 3.3.0-rc7 and the results are the same. No hangs, dmesg is error free. When moving to mesa-8.0 (b9f8cb9e0b1bd640b9b362c9ad56791e4c8cabcd) + libdrm-2.4.31 (tar.gz version) the problem with GPU hangs manifests itself. I even tried the latest mesa and libdrm from master branches and the result is the same, GPU hang. Kernel version, i915 module options don't have any effect, the hang still happens. I'll try to bisect mesa from 7.11 to 8.0 maybe I'll find specific commit which introduces the problem.
Comment 32 Peter Tworek 2012-03-15 13:34:14 UTC
Created attachment 58524 [details]
dmesg showing GPU hangs
Comment 33 Peter Tworek 2012-03-15 13:35:16 UTC
Created attachment 58525 [details]
i915_error_state log
Comment 34 Chris Wilson 2012-03-15 13:41:47 UTC
Peter, you have a distinct bug. Please do open a separate bug report to track it (and attach your error state there as well). Best of luck with the bisection, thanks!
Comment 35 Chris Wilson 2012-03-26 03:44:53 UTC
I believe this is related to:

commit c501ae7f332cdaf42e31af30b72b4b66cbbb1604
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Dec 14 13:57:23 2011 +0100

    drm/i915: Only clear the GPU domains upon a successful finish
    
    By clearing the GPU read domains before waiting upon the buffer, we run
    the risk of the wait being interrupted and the domains prematurely
    cleared. The next time we attempt to wait upon the buffer (after
    userspace handles the signal), we believe that the buffer is idle and so
    skip the wait.
    
    There are a number of bugs across all generations which show signs of an
    overly haste reuse of active buffers.
    
    Such as:
    
      https://bugs.freedesktop.org/show_bug.cgi?id=29046
      https://bugs.freedesktop.org/show_bug.cgi?id=35863
      https://bugs.freedesktop.org/show_bug.cgi?id=38952
      https://bugs.freedesktop.org/show_bug.cgi?id=40282
      https://bugs.freedesktop.org/show_bug.cgi?id=41098
      https://bugs.freedesktop.org/show_bug.cgi?id=41102
      https://bugs.freedesktop.org/show_bug.cgi?id=41284
      https://bugs.freedesktop.org/show_bug.cgi?id=42141
    
    A couple of those pre-date i915_gem_object_finish_gpu(), so may be
    unrelated (such as a wild write from a userspace command buffer), but
    this does look like a convincing cause for most of those bugs.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: stable@kernel.org
    Reviewed-by: Daniel Vetter <daniel.vetter@ffwll.ch>
    Reviewed-by: Eugeni Dodonov <eugeni.dodonov@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>
Comment 36 Gordon Jin 2012-04-01 01:56:45 UTC
to mark dup to show relationship
Comment 37 Gordon Jin 2012-04-01 01:57:20 UTC

*** This bug has been marked as a duplicate of bug 29046 ***